Subject: Re: [RFC PATCH net-next 2/6] net: ethtool: record custom RSS contexts in the IDR

From: Jakub Kicinski <[email-masked]>
Date: Tue, 4 Apr 2023 16:40:50 -0700

On Tue, 4 Apr 2023 12:49:18 +0100 Edward Cree wrote:
> > GFP_USER? Do you mean it for accounting? GFP_KERNEL_ACCOUNT?  
> 
> It's an allocation triggerable by userland; I was under the
>  impression that those were supposed to use GFP_USER for some
>  reason; the rss_config alloc further up this function does.

That's what I thought, too, and that it implies memory accounting.
But then someone from MM told me that that's not the case, and
that GFP_USER is supposed to be mmap()able. Or maybe the latter
part I got from the kdoc in gfp_types.h.

I think we should make sure the memory is accounted.